petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDSGetType

Gets the PetscDS type name (as a string) from the object.

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetType(PetscDS prob, PetscDSType *name)

Not Collective

### Input Parameter

prob -The PetscDS

### Output Parameter

name -The PetscDS type name

### Keywords

PetscDS, get, type, name

### See Also

PetscDSSetType(), PetscDSCreate()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages